package com.tzy.framework.pay.service;

import com.tzy.framework.pay.dto.PaymentInfoResponseDto;
import com.tzy.framework.pay.dto.PaymentRequestDto;
import com.tzy.framework.pay.dto.RefundRequestDto;
import com.tzy.framework.pay.dto.ResultMap;

import java.util.Map;

public interface HfPayService {

    //统一下单
    public ResultMap tradeCreate(PaymentRequestDto paymentRequestDto);
    //查询订单
    public PaymentInfoResponseDto queryOrder(String appid, String payWay, String  orderNo);
    //撤销支付
    public Map<String, Object> reverse(PaymentRequestDto paymentRequestDto);
    //查询撤销对象
    public Map<String, Object> queryReverse(String reverse_id);
    //退款
    public ResultMap refund(RefundRequestDto refundRequestDto);
    //退款查询
    public ResultMap queryRefund(RefundRequestDto refundRequestDto);
    //关闭订单
    public ResultMap close(PaymentRequestDto paymentRequestDto);

}
